=== debian/changelog ===
python-ajsonrpc (1.2.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1050212)

 -- Michael Lloyd <michael@micl.dev>  Sun, 15 Feb 2026 00:18:33 +1100
