=== debian/control ===
Source: python-ajsonrpc
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Michael Lloyd <michael@micl.dev>
Section: python
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               dh-sequence-sphinxdoc,
               python3-all,
               python3-pytest <!nocheck>,
               python3-setuptools,
               python3-sphinx,
               python3-sphinx-rtd-theme
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-ajsonrpc
Vcs-Git: https://salsa.debian.org/python-team/packages/python-ajsonrpc.git
Homepage: https://github.com/pavlov99/ajsonrpc

Package: python-ajsonrpc-doc
Architecture: all
Section: doc
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: Lightweight JSON-RPC 2.0 protocol and asyncio server (Documentation)
 Ajsonrpc is a lightweight JSON-RPC 2.0 protocol implementation and
 asynchronous server powered by asyncio.
 .
 It provides a full JSON-RPC 2.0 implementation, an async request manager,
 and has no external dependencies. Backend support is included for Tornado,
 Sanic and Quart.
 .
 This package provides the documentation.

Package: python3-ajsonrpc
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Lightweight JSON-RPC 2.0 protocol and asyncio server
 Ajsonrpc is a lightweight JSON-RPC 2.0 protocol implementation and
 asynchronous server powered by asyncio. It is a successor of json-rpc
 and written by the same team.
 .
 It provides a full JSON-RPC 2.0 implementation, an async request manager,
 and has no external dependencies. Backend support is included for Tornado,
 Sanic and Quart.
