=== debian/watch ===
Version: 5

Template: Github
Project: ajsonrpc
Owner: pavlov99
Dversion-Mangle: auto
